# DIGITAL TCP/IP Services for OpenVMS
Management Command Reference

Previous | Contents

Establishes MOA_2 as an alias for MOA. #3

    UCX> SET HOST MOA /ADDRESS = 128.33.33.9

> Establishes a second IP address for MOA.

#4

    UCX> SET HOST MOA /ADDRESS = 128.33.33.9 /ALIAS="MOA_3"

> Establishes MOA_3 as an alias for MOA's second IP address.

#5

    UCX> SET HOST MOA /NOALIAS="MOA_2"

> Deletes MOA_2 as an alias for MOA

#6

    UCX> SET NOHOST MOA /NOCONFIRM

> Deletes MOA and all of its aliases.

# SET INTERFACE

> Defines one of the following:
> - An internet interface
> - A serial line IP (SLIP) or point-to-point (PPP) connection
> - A pseudo-interface (data structure that extends subnet routing)

> Before you issue SET INTERFACE, if you need to identify the name of an interface, do the following:

> 1. Issue the LIST COMMUNICATION_CONTROLLER command to find your system's controller.
> 2. Use the first character of the associated interface name.
> 3. Look at the TYPE field. If the type is:
>    - ETHERNET, the second character is E.
>    - FDDI, the second character is F.
>    - SERIAL, the second character is S.

>    SET NOINTERFACE deletes a record. No qualifiers are required.

>    Related commands: SHOW INTERFACE, SET CONFIGURATION INTERFACE

>    Applies to: Routing

## Format

> ### SET [NO]INTERFACE interface {/[NO]ARP | /[NO]AUTO_START | /BROADCAST_MASK=IP_address | /C_BROADCAST_MASK=IP_address | /C_NETWORK=IP_address | /[NO]CLUSTER=host | /COMPRESS=options | /DESTINATION=IP_address | /FLOWCONTROL | /HOST=host | /[NO]LOOPBACK | /NETWORK_MASK=IP_address | /SERIAL_DEVICE=device}

## Restrictions

> Before you issue the SET INTERFACE command, disable the interface. This command requires:
> - OPER privileges
> - Read access to the hosts database
> - Read access to the networks database
> - Read, write, and delete access to the routes database

> Every host on the same network must have the same network mask.

## PARAMETERS

> ### interface

> Required.

> Interface name for the communication controller, such as: FZ0, FZ1, FR1, IR1, EZ0, EX0, SL0, SL1, SL2, PP0, PP1, PP2.

> An internet interface name is denoted by two characters followed by the unit number of the communication controller, as shown below:

> Controller | Unit Number
> --- | ---
> First | 0
> Second | 1
> Third | 2

> An internet pseudo-interface name is denoted by three characters followed by one to five digits for the pseudo-interface unit number, with the following additional rules:

> - The maximum unit number is 65535.
> - The first two characters are the same as the two characters in the internet interface name.
> - The third character identifies the controller number that corresponds to the pseudo-interface, following this pattern:

>   A | Controller 0
>   B | Controller 1
>   C | Controller 2

> - You can duplicate the character-string part.
> - The unit number differentiates interfaces with the same name.

> The following table shows a few examples of supported controllers with their corresponding interface names.

> Interface Name | Communication Controllers | OpenVMS Device Name
> --- | --- | ---
> Ethernet |  |
> DE n | DEUNA, DELUA | XE
> QE n | DEQNA, DELQA, DEQTA | XQ
> FDDI |  |
> CF n | DEFZA | FC
> FF n | DEMFA | FX
> SLIP |  |
> SL n | n/a | TTA3:
> PPP |  |
> PP n |  |

## QUALIFIERS

> ### /ARP

> ### /NOARP

> Optional. Default: /ARP.

> Enables IP-to-Ethernet or IP-to-FDDI address mapping.

> /ARP is valid when you create an interface, but not when you modify an existing interface.

> ### /AUTO_START

> ### /NOAUTO_START

> Optional. Default: /AUTO_START.

> Valid for a SLIP or PPP interface. Automatically creates the interface when UCX starts.

> ### /BROADCAST_MASK=IP_address

> Optional.

> Sets the internet interface to receive all broadcast messages.

> The software calculates the default by:

> - Using the network number from the network mask
> - Setting all bits in the host number field to 1

> ### /C_BROADCAST_MASK=IP_address

> Optional.

> Sets the cluster broadcast mask to receive all broadcast messages.

> The software calculates the default by:

> - Using the network number from the network mask
> - Setting all bits in the host number field to 1

> ### /C_NETWORK=IP_address

> Optional.

> Network mask of the cluster network. This mask is specific to the cluster host network.

> The software calculates the default by:

> - Setting the bits representing the network fields to 1
> - Setting the bits representing the host field to 0

> ### /CLUSTER=host

> ### /NOCLUSTER

> Optional. Default: None.

> Cluster host name (alias host identifier).

> Before using this qualifier, first define the same name in the Hosts database.

> /CLUSTER=host associates the alias host identifier with each interface in a cluster.

> /NOCLUSTER disables internet cluster processing on the specified interface.

> > Caution

> > When you specify /NOCLUSTER, active communication is aborted for applications bound to the cluster alias name.

> ### /COMPRESS= {ON | OFF | AUTOMATIC}

> Optional. Default: /NOCOMPRESS.

> Valid for a SLIP interface. Enables or disables TCP header compression (CSLIP).

> /COMPRESS=AUTOMATIC turns off compression unless the remote end begins to use it.

> ### /DESTINATION=IP_address

> Optional. No default.

> Valid for a PPP interface. Used on the local host to provide dial up access to remote systems. The value specified is the IP address to be given to remote clients for use while PPP connection is active. If using /DESTINATION, you must provide the address of the local host with the /HOST qualifier.

> ### /FLOWCONTROL

> Optional. Default: No flow control.

> Valid for a SLIP interface. Enables the handling of XON and XOFF characters to properly interoperate with modems that are configured to interpret these characters locally.

> Specify /FLOWCONTROL only if the host at the other end of the line is another UCX host.

> ### /HOST=host

> Required if first setting the interface. Optional if already defined. Always required for a SLIP interface. Optional for a PPP interface unless you are setting up the local host as a dial up provider using the /DESTINATION qualifier.

> Local host name or IP address using the interface. If not specified for a PPP interface, PPP obtains the correct address from the remote host.

> If your host is multihomed, specify an address.

> ### /LOOPBACK

> ### /NOLOOPBACK

> Optional. Default: /NOLOOPBACK.

> Sets loopback mode.

> ### /NETWORK_MASK=IP_address

> Required if you use subnets.

> The part of the host field of the IP address identified as the subnet.

> The software calculates the default by:

> - Setting the bits representing the network fields to 1
> - Setting the bits representing the host field to 0

> An IP address consists of a network number and a host number. You can also divide the host field into a site-specific subnetwork and host field.

> ### /SERIAL_DEVICE=device

> Required for SLIP and PPP interfaces; otherwise not used.

> Identifies the OpenVMS terminal device used as a serial device. Specify an arbitrary terminal device name. (Unlike Ethernet, FDDI, and Token Ring interface names, a serial interface name is not related to the OpenVMS device name.)

##

### Examples

#1

    UCX> SET INTERFACE SL5 /HOST=LARK /NETWORK_MASK=255.255.255.0 -
    _UCX> /SERIAL_DEVICE=TTA3 /COMPRESS=ON /FLOWCONTROL

> Configures SLIP interface SL5, using the local IP address assigned to host LARK, with a subnet mask of 255.255.255.0.

> The interface uses the terminal device TTA3:.

> The /COMPRESS qualifier enables TCP header compression (CSLIP).

> The /FLOWCONTROL qualifier enables special handling of XON and XOFF characters, so as to be properly interoperable with modems that are configured to interpret these characters locally.

#2

    UCX> SET INTERFACE FF0 /HOST=KESTREL /NETWORK_MASK=255.255.0.0 -
    _UCX> /BROADCAST_MASK=128.30.0.0 /ARP /TRAILER

> For new interface FF0 on host KESTREL, sets the network mask to 255.255.0.0, sets the broadcast mask to 128.30.0.0, enables ARP and trailer headers, and activates the interface.

#3

    UCX> SET INTERFACE PP0 /SERIAL_DEVICE=TTA0 -
    _UCX> /DESTINATION=128.30.0.0

> Sets up the PPP line as a dialup provider. The address specified with the /DESTINATION qualifier (128.30.0.0) is the address given to a dial-in system requesting an address.

#4

    UCX> SET NOINTERFACE DE2
    UCX> SET INTERFACE DE2 /LOOPBACK
    .
    .
    .
    UCX> SET INTERFACE DE2

> Disables defined interface DE2, sets loopback mode for testing this interface, and after testing, re-activates it.

# SET MX_RECORD

> For routing mail, adds routing information to the local Mail Exchanger (MX) database.

> Each entry contains a list of hosts that can accept mail for the specified destination. The list is in order of routing preference.

> The local MX information is stored in the routes database.

> The MX entry is one of the record types in the BIND database. In addition, a BIND server might provide MX record.

> SMTP is designed to determine where the sending system should try to relay mail. It is also designed to see where the sending system actually tries to relay mail. To find a destination address, MX routing's lookup process is as follows:

> 1. Local MX database
> 2. Remote MX database
> 3. BIND database
> 4. Local hosts database

> Related command: SHOW MX_RECORD

> Applies to: SMTP

## Formats

> ### SET MX_RECORD destination /GATEWAY=host /PREFERENCE=n

> ### SET NOMX_RECORD [destination] [/GATEWAY=host]

## Restrictions

> Requires read and write access to the routes database.

## PARAMETERS

> ### destination

> Required for SET MX_RECORD.
> Optional for SET NOMX_RECORD.

> Host name or domain name to which mail will be sent.

## QUALIFIERS

> ### /GATEWAY=host

> Required with SET MX_RECORD.
> Not valid with SET NOMX_RECORD.

> Gateway through which mail will be relayed. Must have an address in either the local hosts database or the BIND database.

> A destination can have multiple gateways, each with an associated preference value.

> ### /PREFERENCE=n

> Required.

> Arbitrary number for ranking multiple gateways for a destination. The smaller the number, the higher the preference in sending mail by way of that gateway.

> Not valid with SET NOMX_RECORD.

##

### Examples

#1

    UCX> SET MX_RECORD JUNO /GATEWAY=MARS /PREFERENCE=100

> Assigns MARS as the gateway for JUNO with a preference 100.

#2

    UCX> SET MX_RECORD JUNO /GATEWAY=VENUS /PREFERENCE=200

> Assigns VENUS as the gateway for JUNO with a preference 200.

# SET NAME_SERVICE

> Configures the BIND resolver and designates a BIND server. By default, all settings are process-specific.
> - To make modifications that are systemwide, use the /SYSTEM qualifier.
> - To reload the BIND server database, use the /INITIALIZE qualifier.
> - /NOSERVER does not require any options.

> Related commands: SHOW NAME_SERVICE, SET CONFIGURATION NAME_SERVICE

> Applies to: BIND resolver, BIND server

## Format

> ### SET NAME_SERVICE /[NO]SERVER=host [/DISABLE | /[NO]DOMAIN=domain | /ENABLE | /INITIALIZE | /RETRY=number of retries | /SYSTEM | /TIMEOUT=seconds | /TRANSPORT=protocol]

## Restrictions

> The /SYSTEM qualifier requires SYSPRV or BYPASS privileges.

## QUALIFIERS

> ### /DISABLE

> Optional.

> Disables the BIND resolver. All name-address lookups are now directed to the hosts database. Use with /SYSTEM.

> ### /DOMAIN=domain

> ### /NODOMAIN=domain

> Optional.

> Defines the default domain. The default domain is appended to host name references made from the local process.

> /NODOMAIN deletes the process-specific definition of the domain. Do not use with /SYSTEM.

> ### /ENABLE

> Optional. Default: Not enabled.

> Enables the BIND resolver. Use with /SYSTEM.

> ### /INITIALIZE

> Optional. Default: No reloading.

> Reloads the BIND server database.

> ### /RETRY=number of retries

> Optional. Default: 4 retries.

> Number of times that the BIND resolver attempts to contact a a BIND server if previous tries fail. Do not use with the /SYSTEM.

> ### /SERVER=host

> ### /NOSERVER=host

> Required.

> Host name or address of the BIND server or servers that the resolver will query.

> To specify multiple hosts, list them by request preference. The resolver sends the first lookup request to the first host on the list.

> /NOSERVER removes hosts from the list.

> If you define a server list and then issue another SET NAME_SERVICE /SERVER command, UCX appends the new servers to the end of the list.

> Do not specify /NOSERVER=* with /SYSTEM.

> ### /SYSTEM

> Optional. Default: Changes are process-specific.

> Makes your settings systemwide.

> Sets the local host's domain as the default domain, unless you also specify /DOMAIN.

> ### /TIMEOUT=seconds

> Optional. Default: 4.

> Timeout interval for the BIND resolver's requests to a server.
> When the BIND resolver is used by the UCX auxiliary server:

> - The number of retries is one.
> - The timeout interval is 1 second.
> - The timeout interval increases by the power of two for each retry.

> For example:

> Current settings: | Retries=4 Timeout=4
> --- | ---
> Retry | Times out in...
> First | 4 seconds
> Second | 8 seconds
> Third | 16 seconds
> Last | 32 seconds
> | Total = 1 minute for one host
> | If a secondary BIND server exists and both servers time out, total = 2 minutes

> Do not use with /SYSTEM.

> ### /TRANSPORT=protocol

> Optional. Default: UDP.

> Protocol used for communicating with a BIND server. Specify one:

> - UDP
> - TCP

##

### Examples

#1

    UCX> SET NAME_SERVICE /SERVER=(PARROT,SORA,JACANA) /SYSTEM /ENABLE

> Defines hosts PARROT, sora, and jaçana as systemwide BIND servers. Also enables the BIND resolver.

#2

    UCX> SET NAME_SERVICE /SERVER=OSPREY

> For your process, defines host OSPREY as the BIND server. The servers that are defined systemwide will not be queried.

# SET NETWORK

> Defines or deletes an entry in the networks database.

> Equivalent to maintaining the /etc/networks file on UNIX hosts.

> Related commands: SHOW NETWORK, CONVERT/VMS NETWORK

## Format

> ### SET [NO]NETWORK network [/ADDRESS=IP_address | /[NO]ALIAS=alias | /[NO]CONFIRM]

## Restrictions

> Requires read, write, and delete access to the networks database.

## PARAMETERS

> ### network

> Required.

> Name of the network.

> You cannot delete a network by specifying an alias name.

## QUALIFIERS

> ### /ADDRESS=IP_address

> Required for a new entry.

> IP address of the network.

> ### /ALIAS=alias

> ### /NOALIAS=alias

> Required.

> Alternate name for the network.

> - Not valid with SET NONETWORK.
> - /NOALIAS=alias deletes an alias.
> - /NOALIAS=* deletes all aliases.

> ### /CONFIRM

> ### NOCONFIRM

> Optional. Default: /CONFIRM if you use a wildcard.

> When the software encounters a problem, it displays a description and solution and then requests confirmation before deleting each record. Enter one of the following:

> - Y to repair the problem
> - N to ignore the problem
> - G to change to NO CONFIRMATION mode

> Example:

>     %UCX-E-ANA_SUP_BADIICGSIZE, Problem: Bad initial inode cell
>     group size: bad_value
>     Solution: Will be replaced by
>     default size: good_value
>             CONFIRM [Y/N/G]:

##

### Examples

#1

    UCX> SET NETWORK MYNA /ADDRESS=128.30.30.10 /ALIAS=MYNA_1

> Creates an entry for network MYNA at IP address 128.30.30.10, and its alias MYNA_1, to the networks database.

#2

    UCX> SET NETWORK MYNA /ALIAS=MYNA_2

> Adds a second alias network MYNA.

#3

    UCX> SET NETWORK MYNA /NOALIAS=MYNA_2

> Deletes the alias MYNA_2 from the network MYNA entry in the networks database.

#4

    UCX> SET NETWORK "jungle" /ALIAS=("parrot","canary","motmot")

> For network jungle, creates the aliases parrot, canary, and motmot.

# SET NFS_SERVER

> Modifies the parameters of the NFS server software.

> You can modify dynamically some characteristics, but other values are static, with modifications taking effect by shutting down and restarting the NFS server software:

> - Dynamically modifiable qualifiers:
>   - /DISABLE
>   - /ENABLE
>   - /GID_DEFAULT
>   - /HOSTS=n
>   - /INACTIVITY_TIMER
>   - /UID_DEFAULT
> - Static qualifiers:
>   - /HOSTS=n
>   - /THREADS
>   - /XID

> To make your changes permanent, modify SYS$STARTUP:UCX$NFS_SERVER_STARTUP.COM.

> To shut down the NFS server, issue:

>     $ @SYS$STARTUP:UCX$NFS_SHUTDOWN.COM

> To enable the server to restart, issue:

>     $ @SYSSTARTUP:UCX$NFS_SERVER_STARTUP.COM

> The auxiliary server automatically restarts the NFS server upon an incoming client request.

> Related commands: SHOW NFS_SERVER, ZERO NFS_SERVER

> Applies to: NFS server

## Format

> ### SET NFS_SERVER {/DISABLE=logging_options | /ENABLE=logging_options | /GID_DEFAULT=n | /HOSTS=n | /INACTIVITY_TIMER=n | /THREADS=n | /UID_DEFAULT=n | /XID=n}

## Restrictions

> Requires the following privileges:
> - SYSNAM
> - WORLD
> - SYSPRV or BYPASS

## QUALIFIERS

> ### /DISABLE=ERROR

> ### =OPCOM

> Optional. Default: ERROR and OPCOM enabled.

> Disables the specified logging options.

> ### /ENABLE=ERROR

> ### =OPCOM

> Optional. Default: ERROR and OPCOM enabled.

> Enables the specified logging options.

> ### /GID_DEFAULT=n

> Optional. Default: --2.

> Default GID associated with files not created by the NFS server.

> ### /HOSTS=n

> Optional.

> Maximum number of hosts that the NFS server's proxy cache can hold.

> ### /INACTIVITY_TIMER=n

> Optional. Default: 02:00.

> Maximum length of time that unaccessed NFS files remain open.

> Specify mm:ss, where mm = the number of minutes and ss = the number of seconds.

> ### /THREADS=n

> Optional. Default: 20.

> Maximum number of simultaneous requests that the NFS server processes.

> ### /UID_DEFAULT=n

> Optional. Default: --2.

> Default UID associated with files not created by the NFS server.

> ### /XID=n

> Optional. Default: 20.

> Maximum buffer allocation for XID (eXchange IDentification) caching.

##

### Examples

#1

    UCX> SET NFS_SERVER /ENABLE=(ERROR,OPCOM)

> Enables the logging of all NFS server activity.

# SET PROTOCOL

> Sets parameters for ARP, ICMP, IP, RAW_IP, TCP, and UDP.

> Related commands: SET CONFIGURATION PROTOCOL, SHOW PROTOCOL

> Applies to: IP, TCP, UDP, ICMP, ARP

## Formats

> ### SET PROTOCOL ARP {/CACHE=n | /COMPLETE_TIMER=n | /INCOMPLETE_TIMER=n}

> ### SET PROTOCOL ICMP {/[NO]UNREACHABLE | /[NO]REDIRECT}

> ### SET PROTOCOL IP {/[NO]CHECKSUM | /[NO]FORWARD | /REASSEMBLY_TIMER=n}

> ### SET PROTOCOL RAW_IP /QUOTA=options

> ### SET PROTOCOL TCP {/CHECKSUM=options | /[NO]MTU_SEGMENT_SIZE | /[NO]DELAY_ACK | /DROP_TIMER=n | /[NO]LOOPBACK | /PROBE_TIMER=n | /PUSH=options | /QUOTA=options | /[NO]WINOW_SCALE

> } )

> ### SET PROTOCOL UDP {/[NO]BROADCAST | /CHECKSUM=options | /[NO]FORWARD | /QUOTA=options}

## Restrictions

> Requires OPER privileges.

## PARAMETERS

> ### {ARP | ICMP | IP | RAW_IP | TCP | UDP}

> Required.

> Protocol software to configure.

## QUALIFIERS FOR ARP

> ### /CACHE=n

> Optional. Default: 171. Valid range: 171-3000

> Number of entries allocated to the ARP table at UCX startup. The minimum value allowed is 171 (default); the maximum value allowed is 3000. Important: the ARP table is allocated once at UCX startup time and remains fixed for the life of the system.

> ### /COMPLETE_TIMER=n

> Optional. Default: 20 minutes.

> Maximum time that an entry is kept in the ARP dynamic database.

> ### /INCOMPLETE_TIMER=n

> Optional. Default: 3 minutes.

> Maximum time that an unresolved entry is kept in the ARP dynamic database.

## QUALIFIERS FOR ICMP

> ### /UNREACHABLE

> ### /NOUNREACHABLE

> Optional. Default: /NOUNREACHABLE.

> Sends ICMP_UNREACHABLE messages.

> ### /REDIRECT

> ### /NOREDIRECT

> Optional. Default: /NOREDIRECT.

> Sends ICMP_REDIRECT messages.

## QUALIFIERS FOR IP

> ### /CHECKSUM

> ### /NOCHECKSUM

> Optional. Default: /NOCHECKSUM.

> Enables checksum validation of messages.

> ### /FORWARD

> ### /NOFORWARD

> Optional. Default: /NOFORWARD.

> Forwards IP messages to other hosts.

> ### /REASSEMBLY_TIMER=n

> Optional. Default: 7 seconds. Valid range: 1-126.

> Maximum time for trying to re-assemble a received datagram.

## QUALIFIERS FOR RAW_IP

> ### /QUOTA=options

> Optional. Default: /QUOTA=RECEIVE:2048 /QUOTA=SEND:2048.

> Maximum socket quota in bytes. Specify one or both:

> RECEIVE: n | Receive socket quota in bytes.
> SEND: n | Send socket quota in bytes.

## QUALIFIERS FOR TCP

> ### /CHECKSUM=options

> Optional. Default: /CHECKSUM=NORECEIVE /CHECKSUM=NOSEND.

> Previous | Next | Contents